LOGGER(1)

NAME
logger - make entries in the system log

SYNOPSIS
logger [-46Ais] [-f file] [-h host] [-P port] [-p pri] [-t tag] [message ...]

DESCRIPTION
The logger utility provides a shell command interface to the syslog(3) system log module.

The following options are available:

-4  Force logger to use IPv4 addresses only.

-6  Force logger to use IPv6 addresses only.

-A  By default, logger tries to send the message to only one address, even if the host has more than one A or AAAA record. If this option is specified, logger tries to send the message to all addresses.

-i  Log the process id of the logger process with each line.

-s  Log the message to standard error, as well as the system log.

-f file
    Log the specified file.

-h host
    Send the message to the remote system host instead of logging it locally.

-P port
    Send the message to the specified port number on a remote system, which can be specified as a service name or as a decimal number. The default is “syslog”. If an unknown service name is used, logger prints a warning and falls back to port 514.

-p pri
    Enter the message with the specified priority. The priority may be specified numerically or as a ``facility.level'' pair. For example, ``-p local3.info'' logs the message(s) as informational level in the local3 facility. The default is ``user.notice.''

-t tag
    Mark every line in the log with the specified tag rather than the default of current login name.

message
    Write the message to log; if not specified, and the -f flag is not provided, standard input is logged.

EXIT STATUS

EXAMPLES
    logger System rebooted
    logger -p local0.notice -t HOSTIDM -f /dev/idmc

SEE ALSO
syslog(3), syslogd(8)

STANDARDS
The logger command is expected to be p1003.2 compatible.